Bug 1460916 - Filter AggregateInstanceExtraSpecsFilter returned 0 hosts
Filter AggregateInstanceExtraSpecsFilter returned 0 hosts
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
low Severity low
: Upstream M2
: 14.0 (Rocky)
Assigned To: Rajesh Tailor
Joe H. Rahme
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 02:53 EDT by Md Nadeem
Modified: 2018-06-08 21:49 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1709260 None None None 2017-08-08 04:22 EDT
OpenStack gerrit 498334 None None None 2017-08-31 07:26 EDT

  None (edit)
Description Md Nadeem 2017-06-13 02:53:15 EDT
Description of problem:
The Filter AggregateInstanceExtraSpecsFilter returned 0 hosts.

The reason behind was name of compute node(DNUCS002-osd-compute-0.localdomain) added in the host-aggregate. The node name given was in capital letter when we re-attached the compute node to the host aggregate with name in small letter( dnucs002-osd-compute-0.localdomain) as mentioned in nova hypervisor-list, it works fine. 

cu want that the compute name should be case insensitive in this case, if not then while adding the compute node to the host aggregate it should throw the error with proper message like 'compute host not found'.

It is confusing that node successfully attached to the hostaggregate, however while spawning the instance the filter simply return 0 hosts without any clue.  


[stack@dnucs002-ospd ~]$ nova hypervisor-list
+----+------------------------------------+-------+---------+
| ID | Hypervisor hostname                | State | Status  |
+----+------------------------------------+-------+---------+
| 1  | dnucs002-osd-compute-0.localdomain | up    | enabled |
| 4  | dnucs002-compute-3.localdomain     | up    | enabled |


[stack@dnucs002-ospd ~]$ openstack aggregate show 2
+-------------------+-----------------------------------------+
| Field             | Value                                   |
+-------------------+-----------------------------------------+
| availability_zone | mgmt                                    |
| created_at        | 2017-06-12T19:48:03.000000              |
| deleted           | False                                   |
| deleted_at        | None                                    |
| hosts             | [u'DNUCS002-osd-compute-0.localdomain'] |


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
The Filter AggregateInstanceExtraSpecsFilter returned 0 hosts.

Expected results:

It should returned the hosts attached to the hostaggregate

Additional info:
Comment 1 Rajesh Tailor 2017-08-08 04:21:29 EDT
The issue is there in upstream master branch as well, I have reported it to
upstream bug tracking launchpad.

https://bugs.launchpad.net/nova/+bug/1709260

Note You need to log in before you can comment on or make changes to this bug.